FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu Server Development

 
 
LinkBack Thread Tools
 
Old 02-10-2008, 06:59 PM
"Rönnblom Janåke /Teknous"
 
Default ESX testing - problem with pcnet32/vmxnet drivers

Hi,



During my testing of hardy alpha 4 on VMware ESX 3.0.2 I have so far found a problem with the network

driver. Im using linux-virtual as my kernel.



As I understand it the pcnet32 driver should be replaced with the vmxnet driver. The kernel loads both the pcnet32 and

the vmxnet driver. This causes a problem since we need to rmmod both pcnet32 and vmxnet driver and then modprobe

the vmxnet driver again and finally restart networking!



There is also a bug in the open-vm-tools package. The /etc/init.d/open-vm-tools script calls a function named vmxnet_needed

but doesn't check the return value from the function using $?. Either that or this is due to my limited knowledge of dash...



----< cut >----

--- open-vm-tools*******2008-02-10 20:14:20.000000000 +0100

+++ /etc/init.d/open-vm-tools***2008-02-10 20:15:30.000000000 +0100

@@ -44,7 +44,9 @@

****************log_progress_msg "vmhgfs"; modprobe vmhgfs

****************log_progress_msg "vmmemctl"; modprobe vmmemctl

****************log_end_msg 0

-***************if vmxnet_needed

+

+ ***************vmxnet_needed

+***************if [ $? -eq 1 ]

****************then

************************rmmod pcnet32

************************modprobe vmxnet

@@ -63,7 +65,9 @@

************************kill `cat /var/run/vmware-guestd.pid`

****************fi

****************log_end_msg 0

-***************if vmxnet_needed

+

+***************vmxnet_needed

+ ***************if [ $? -eq 1 ]

****************then

************************rmmod vmxnet

************************modprobe pcnet32

----< cut >----





================================================== ===

Janåke Rönnblom

IT avdelningen, Teknous, Skellefteå Kommun

Assistentgatan 23

931 77 Skelleftea (Sweden)

-----------------------------------------------------

Phone *: +46-910-58 54 24

Mobile : 070-397 07 43

Fax ***: +46-910-58 54 99

URL ***: http://skeria.skelleftea.se

-----------------------------------------------------

"Those who do not understand Unix are condemned to reinvent it, poorly." -- Henry Spencer








--
ubuntu-server mailing list
ubuntu-server@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-server
More info: https://wiki.ubuntu.com/ServerTeam
 
Old 02-12-2008, 11:32 PM
Mathias Gug
 
Default ESX testing - problem with pcnet32/vmxnet drivers

Hi,

On Sun, Feb 10, 2008 at 08:59:48PM +0100, Rönnblom Janåke /Teknous wrote:
> During my testing of hardy alpha 4 on VMware ESX 3.0.2 I have so far found a
> problem with the network
> driver. Im using linux-virtual as my kernel.

Thanks for taking the time to test and report it. Could you file a bug
against the open-vm-tools package [1] ? If you could also attach your
patch so that we can fix the bug quickly.

[1]: https://bugs.launchpad.net/ubuntu/+source/open-vm-tools/+filebug

Thank you,

--
Mathias Gug
Ubuntu Developer http://www.ubuntu.com

--
ubuntu-server mailing list
ubuntu-server@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-server
More info: https://wiki.ubuntu.com/ServerTeam
 

Thread Tools




All times are GMT. The time now is 11:31 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org